---
updatedAt: 2026-02-20T15:50:02.000Z
agentTools:
  projectIndex: https://docs.skipify.com/llms.txt
---

# Create Merchant Configs - Order Preferences

Use these endpoints to set Configs related to Order Preferences

> 👍 This endpoint uses API Key Authentication
>
> Check out our [API Key Authentication Section](https://docs.skipify.com/docs/api-authentication-api-key) section to learn more

# API Endpoint

> **Staging**: `POST https://merchants.staging.skipify.com/merchants/{merchantId}/configs`
>
> **Production**: `POST https://merchants.skipify.com/merchants/{merchantId}/configs`

# Create No Shipping Required Config

## Request Body Parameters

| Parameter Name | Required | Type    | Description/Value      |
| :------------- | :------- | :------ | :--------------------- |
| name           | yes      | string  | NO\_SHIPPING\_REQUIRED |
| enabled        | yes      | boolean | true                   |
| value          | yes      | boolean | true                   |

### Request Body Example

```json JSON Request Example
{
  "name": "NO_SHIPPING_REQUIRED",
  "enabled": true,
  "value": true
}
```

## Response Body Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        The current status of the configuration
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The name of the configuration
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        boolean
      </td>

      <td>
        true
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string
      </td>

      <td>
        The Type of configuration if applicable
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        The ID of this configuration
      </td>
    </tr>

    <tr>
      <td>
        merchantId
      </td>

      <td>
        string
      </td>

      <td>
        The Skipify Merchant identifier
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was created  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>
  </tbody>
</Table>

### Response Body Example

```json JSON Response Example
{
  "enabled": true,
  "name": "NO_SHIPPING_REQUIRED",
  "value": true,
  "type": "order",
  "configId": "d710423e-dc98-4f78-8e98-ba8780faab77",
  "merchantId": "215b4518-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:04:20.595Z",
  "updatedAt": "2024-06-10T20:04:20.595Z"
}
```

# Create Tipping Percentages Config

## Request Body Parameters

| Parameter Name | Required | Type    | Description/Value                             |
| :------------- | :------- | :------ | :-------------------------------------------- |
| name           | yes      | string  | TIPPING\_PERCENTAGES                          |
| enabled        | yes      | boolean | true                                          |
| value          | yes      | object  | An object describing the TIPPING\_PERCENTAGES |

**Note**\* - This Configuration is only applicable to merchants that accept tips/gratuities in service-based establishments.

### Request Body Example

```json JSON Request Example
{
  "name": "TIPPING_PERCENTAGES",
  "enabled": true,
  "value": [
    18,
    20,
    25
  ]
}
```

## Response Body Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        The current status of the configuration
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The Name of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        object
      </td>

      <td>
        An object of values for the tips
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string, nullable
      </td>

      <td>
        The Type of configuration
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        The ID of this configuration
      </td>
    </tr>

    <tr>
      <td>
        merchantId
      </td>

      <td>
        string
      </td>

      <td>
        The Skipify Merchant Identifier
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The created date/time for this configuration  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>
  </tbody>
</Table>

### Response Body Example

```json JSON Response Example
{
  "enabled": true,
  "name": "TIPPING_PERCENTAGES",
  "value": [
    18,
    20,
    25
  ],
  "type": "order",
  "configId": "530d1a01-6f7d-4399-b080-ac381ea1f0cf",
  "merchantId": "264b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:07:44.359Z",
  "updatedAt": "2024-06-10T20:07:44.359Z"
}
```

# Create General Fee Config

The General Fee Configuration allows you to set a Flat $ amount or Percentage % fee to be applied to all orders, shown to the shopper and added to the order total for payment processing.

## Request Body Parameters

| Parameter Name      | Required | Type    | Description/Value                                                          |
| :------------------ | :------- | :------ | :------------------------------------------------------------------------- |
| name                | yes      | string  | GENERAL\_FEE                                                               |
| enabled             | yes      | boolean | true                                                                       |
| value               | yes      | object  | An object describing the GENERAL\_FEE                                      |
| value{}.value       | yes      | integer | The value of the general fee according to the value{}.style                |
| value{}.style       | yes      | string  | enums ('PERCENTAGE', 'FLAT')                                               |
| value{}.description | yes      | string  | The description of the fee that will appear to the shopper during checkout |

### Request Body Example

```json JSON Request Example
{
  "name": "GENERAL_FEE",
  "enabled": true,
  "value": {
    "description": "string",
    "value": 3,
    "style": "PERCENTAGE"
  }
}
```

## Response Body

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        The current status of the configuration
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The Name of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        object
      </td>

      <td>
        An object of values for the GENERAL_FEE
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string
      </td>

      <td>
        The Type of configuration if applicable i.e.
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        The ID of this configuration
      </td>
    </tr>

    <tr>
      <td>
        merchantId
      </td>

      <td>
        string
      </td>

      <td>
        The Skipify Merchant Identifier
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The created date/time for this configuration  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>
  </tbody>
</Table>

### Response Body Example

```json JSON Response Example
{
  "enabled": true,
  "name": "GENERAL_FEE",
  "value": {
    "style": "PERCENTAGE",
    "value": 3,
    "description": "Cleaning Fee"
  },
  "type": "order",
  "configId": "bd8ec59a-fa7f-41c0-b72e-167c2f63d51f",
  "merchantId": "215b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2025-01-10T20:15:56.564Z",
  "updatedAt": "2025-01-10T20:15:56.564Z"
}
```

# Create Surcharge Fee Config

Skipify supports 2 surcharge fee types: [standard surcharge](https://docs.skipify.com/docs/skipify-features#/standard-surcharge), [Worldpay FeeAssist surcharge](https://docs.skipify.com/docs/skipify-features#/worldpay-feeassist-surcharge).

## Request Body Parameters

| Parameter Name         | Required    | Type    | Description/Value                                                                                |
| :--------------------- | :---------- | :------ | :----------------------------------------------------------------------------------------------- |
| name                   | yes         | string  | SURCHARGE\_FEE                                                                                   |
| enabled                | yes         | boolean | true                                                                                             |
| value                  | yes         | object  | An object describing the SURCHARGE\_FEE                                                          |
| value{}.value          | yes         | integer | The value of the surcharge as a percentage (if style=percentage), or minor units (if style=flat) |
| value{}.style          | yes         | string  | enums: PERCENTAGE, FLAT, EXTERNAL                                                                |
| value{}.description    | no          | string  | The description of the fee that will appear to the Shopper during checkout                       |
| value{}.credentialType | conditional | string  | Conditionally required to be set to `payment`, if value{}.style = EXTERNAL                       |

### Request Body Example

```json standard surcharge
{
  "name": "SURCHARGE_FEE",
  "enabled": true,
  "value": {
    "value": 3, //PERCENTAGE: 3% FLAT: $0.03
    "style": "PERCENTAGE", // PERCENTAGE OR FLAT
    "description": "Surcharge"
  }
}
```
```json WP FeeAssist surcharge
{
  "name": "SURCHARGE_FEE",
  "enabled": true,
  "value": {
    "credentialType": "payment",
    "style": "EXTERNAL", 
    "description": "Surcharge"
  }
}
```

## Response Body Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        The current status of the configuration
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The Name of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        object
      </td>

      <td>
        An object of values for the SURCHARGE_FEE
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string
      </td>

      <td>
        The Type of configuration if applicable
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        The ID of this configuration
      </td>
    </tr>

    <tr>
      <td>
        merchantId
      </td>

      <td>
        string
      </td>

      <td>
        The Skipify merchant identifier
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The created date/time for this configuration  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>
  </tbody>
</Table>

### Response Body Example

```json standard surcharge RESPONSE
{
  "enabled": true,
  "name": "SURCHARGE_FEE",
  "value": {
    "style": "PERCENTAGE",
    "value": 3,
    "description": "Surcharge"
  },
  "type": "order",
  "configId": "b0f2c0b-3re4-4798-98e2-4f326b2rdfe8",
  "merchantId": "215b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:24:11.328Z",
  "updatedAt": "2024-06-10T20:24:11.328Z"
}
```
```json WP FeeAssist surcharge RESPONSE
{
  "enabled": true,
  "name": "SURCHARGE_FEE",
  "value": {
    "style": "EXTERNAL",
    "description": "Surcharge",
		"credentialType": "payment"
  },
  "type": "order",
  "configId": "b0f2c0b-3re4-4798-98e2-4f326b2rdfe8",
  "merchantId": "215b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:24:11.328Z",
  "updatedAt": "2024-06-10T20:24:11.328Z"
}
```

<br />